.btn {
    color: #666;
    background: #f7f7f7;
    border: none;
    outline: none;

    border-radius: 100%;
    aspect-ratio: 1;
    overflow: hidden;
    padding: 0.75rem;
    display: inline-block;
    margin: 0 auto;

    transition: background-color 0.15s ease-out;
}

.btn:hover {
    background-color: #eee;
    cursor: pointer;
}

.btn svg {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

.longBtn {
    --bg-color-light: #5faeee;
    --bg-color-dark: #2d8ede;
    --bg-color: white;

    outline: 0;
    border: none;
    font-weight: 600;
    white-space: nowrap;
    padding: 0.5rem 1rem;
    color: black;
    border-radius: var(--radius);
    text-decoration: none;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    transition: background-position 0.3s ease-out, color 0.3s ease-out;
    font-family: inherit;
    margin: 0 auto;
    width: fit-content;

    background: linear-gradient(
        120deg,
        var(--bg-color) 0%,
        var(--bg-color) calc(50% - 3rem),
        var(--bg-color-light) calc(50% - 3rem),
        var(--bg-color-dark) 100%
    );
    background-size: 200%;
    background-position: 0%;
}

.longBtn:hover {
    /* box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.25); */
    /* transform: scale(1.05); */
    background-position: 100%;
    cursor: pointer;
    color: white;
}

.longBtn span {
    font-weight: 400;
    margin: 0 0.5rem;
}

.longIcon {
    color: white;
    margin-left: 2.5rem;
}
